Rezepte
ReferenceRecipes

/api/v1/recipes

Create a recipe

POST/api/v1/recipes
rezepte_session<token>

Session cookie set by POST /api/v1/auth/login.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/v1/recipes" \  -H "Content-Type: application/json" \  -d '{    "cookMinutes": 0,    "description": "string",    "ingredientGroups": [      {        "ingredients": [          {            "name": "string",            "note": "string",            "quantity": 0,            "unit": "string"          }        ],        "name": "string"      }    ],    "prepMinutes": 0,    "servings": 1,    "sourceUrl": "http://example.com",    "steps": [      {        "text": "string"      }    ],    "tags": [      "string"    ],    "title": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/Recipe.json",  "canChangePolicy": true,  "canDelete": true,  "canEdit": true,  "cookMinutes": 0,  "coverImageId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "createdBy": {    "avatarId": "string",    "color": "string",    "displayName": "string",    "id": "string",    "username": "string"  },  "description": "string",  "editPolicy": "default",  "favorite": true,  "id": "string",  "images": [    {      "$schema": "https://example.com/api/v1/schemas/Image.json",      "height": 0,      "id": "string",      "position": 0,      "width": 0    }  ],  "ingredientGroups": [    {      "ingredients": [        {          "name": "string",          "note": "string",          "quantity": 0,          "unit": "string"        }      ],      "name": "string"    }  ],  "locked": true,  "prepMinutes": 0,  "servings": 1,  "slug": "string",  "sourceName": "string",  "sourceUrl": "http://example.com",  "steps": [    {      "references": [        {          "groupName": "string",          "ingredientName": "string",          "word": "string"        }      ],      "text": "string",      "times": [        {          "maxSeconds": 1,          "phrase": "string",          "seconds": 1        }      ]    }  ],  "tags": [    "string"  ],  "tasty": true,  "tastyBy": [    {      "avatarId": "string",      "color": "string",      "displayName": "string",      "id": "string",      "username": "string"    }  ],  "tastyCount": 0,  "title": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "updatedBy": {    "avatarId": "string",    "color": "string",    "displayName": "string",    "id": "string",    "username": "string"  }}